/***********************************************
 * WIDGET: PROJECT SLIDER
 ***********************************************/
(function ($) {
    'use strict';

    var PaulThemesProjectSlider = function ($scope, $) {
        // check if plugin defined
        if (typeof $.fn.owlCarousel == 'undefined') {
            return;
        }

        var el = $scope.find('.vlt-slider-project'),
            loop = el.data('loop') || false,
            nav = el.data('nav') || false,
            dots = el.data('dots') || false,
            count = el.data('count') || 1;

        el.owlCarousel({
            items: 1,
            responsive: {
                0: {
                    items: 1,
                },
                720: {
                    items: 1,
                },
                1280: {
                    items: count,
                },
            },
            responsiveRefreshRate: 0,
            loop: loop,
            nav: nav,
            dots: dots,
        });
    };

    PTJS.window.on('elementor/frontend/init', function () {
        elementorFrontend.hooks.addAction(
            'frontend/element_ready/vlt-slider-projects.default',
            PaulThemesProjectSlider
        );
    });
})(jQuery);
