<?php

/**
 * @author: PaulThemes
 * @version: 1.0
 */

$priority = 0;

/**
 * General fonts
 */
VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'primary_font',
	'section' => 'typography_fonts',
	'label' => esc_html__( 'Primary Font', 'richard' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'variant' => array( '300', 'regular', '600' ),
	),
	'default' => array(
		'font-family' => 'Work Sans'
	),
	'output' => array(
		array(
			'choice' => 'font-family',
			'element' => ':root',
			'property' => '--pf',
			'context' => array( 'editor', 'front' ),
		)
	)
) );

VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'secondary_font',
	'section' => 'typography_fonts',
	'label' => esc_html__( 'Secondary Font', 'richard' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'variant' => array( 'regular', '500', '600' ),
	),
	'default' => array(
		'font-family' => 'Poppins'
	),
	'output' => array(
		array(
			'choice' => 'font-family',
			'element' => ':root',
			'property' => '--sf',
			'context' => array( 'editor', 'front' ),
		)
	)
) );

/**
 * Body typography
 */
VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'base_typography',
	'section' => 'typography_text',
	'label' => esc_html__( 'Base Typography', 'richard' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => richard_add_custom_choice(),
	'default' => array(
		'font-family' => 'Work Sans',
		'variant' => 'regular',
		'font-size' => '1rem',
		'line-height' => '1.625',
		'color' => '#767676',
	),
	'output' => array(
		array(
			'element' => 'body'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper',
			'context' => array( 'editor' ),
		),
	)
) );

/**
 * Heading typography
 */
VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_h1_titles',
	'section' => 'typography_headings',
	'label' => esc_html__( 'H1 Titles', 'richard' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => richard_add_custom_choice(),
	'default' => array(
		'font-family' => 'Poppins',
		'variant' => '700',
		'font-size' => '4.125rem',
		'line-height' => '1.05',
		'color' => '#343434',
	),
	'output' => array(
		array(
			'element' => 'h1, .h1'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper h1, .edit-post-visual-editor.editor-styles-wrapper .editor-post-title__input',
			'context' => array( 'editor' ),
		),
	)
) );

VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_h2_titles',
	'section' => 'typography_headings',
	'label' => esc_html__( 'H2 Titles', 'richard' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => richard_add_custom_choice(),
	'default' => array(
		'font-family' => 'Poppins',
		'variant' => '700',
		'font-size' => '3rem',
		'line-height' => '1.2',
		'color' => '#343434',
	),
	'output' => array(
		array(
			'element' => 'h2, .h2'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper h2',
			'context' => array( 'editor' ),
		),
	)
) );

VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_h3_titles',
	'section' => 'typography_headings',
	'label' => esc_html__( 'H3 Titles', 'richard' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => richard_add_custom_choice(),
	'default' => array(
		'font-family' => 'Poppins',
		'variant' => '700',
		'font-size' => '1.925rem',
		'line-height' => '1.25',
		'color' => '#343434',
	),
	'output' => array(
		array(
			'element' => 'h3, .h3'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper h3',
			'context' => array( 'editor' ),
		),
	)
) );

VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_h4_titles',
	'section' => 'typography_headings',
	'label' => esc_html__( 'H4 Titles', 'richard' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => richard_add_custom_choice(),
	'default' => array(
		'font-family' => 'Poppins',
		'variant' => '700',
		'font-size' => '1.325rem',
		'line-height' => '1.2',
		'color' => '#343434',
	),
	'output' => array(
		array(
			'element' => 'h4, .h4'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper h4',
			'context' => array( 'editor' ),
		),
	)
) );

VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_h5_titles',
	'section' => 'typography_headings',
	'label' => esc_html__( 'H5 Titles', 'richard' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => richard_add_custom_choice(),
	'default' => array(
		'font-family' => 'Poppins',
		'variant' => '600',
		'font-size' => '1.125rem',
		'line-height' => '1.2',
		'color' => '#343434',
	),
	'output' => array(
		array(
			'element' => 'h5, .h5'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper h5',
			'context' => array( 'editor' ),
		),
	)
) );

VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_h6_titles',
	'section' => 'typography_headings',
	'label' => esc_html__( 'H6 Titles', 'richard' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => richard_add_custom_choice(),
	'default' => array(
		'font-family' => 'Poppins',
		'variant' => '700',
		'font-size' => '0.9rem',
		'line-height' => '1.2',
		'color' => '#343434',
		'letter-spacing' => '1px',
		'text-transform' => 'uppercase'
	),
	'output' => array(
		array(
			'element' => 'h6, .h6'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper h6',
			'context' => array( 'editor' ),
		),
	)
) );
