<?php

/**
 * @author: PaulThemes
 * @version: 1.0
 */

/**
 * Register sidebars
 */
if ( ! function_exists( 'richard_register_sidebar' ) ) {
	function richard_register_sidebar() {
		register_sidebar( array(
			'name' => esc_html__( 'Blog Sidebar', 'richard' ),
			'id' => 'blog_sidebar',
			'description' => esc_html__( 'Blog Widget Area', 'richard' ),
			'before_widget' => '<div id="%1$s" class="vlt-widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h5 class="vlt-widget__title">',
			'after_title' => '</h5>'
		) );
	}
}
add_action( 'widgets_init', 'richard_register_sidebar' );

/**
 * Before site wrapper
 */
if ( ! function_exists( 'richard_before_site_wrapper' ) ) {
	function richard_before_site_wrapper() {
		$class = 'vlt-site-wrapper';

		// preloader
		if ( richard_get_theme_mod( 'preloader' ) == 'show' ) {
			$class .= ' animsition';
		}

		echo '<div class="' . richard_sanitize_class( $class ) . '">';
	}
}
add_action( 'richard/before_site_wrapper', 'richard_before_site_wrapper' );

/**
 * After site wrapper
 */
if ( ! function_exists( 'richard_after_site_wrapper' ) ) {
	function richard_after_site_wrapper() {
		echo '</div>';
	}
}
add_action( 'richard/after_site_wrapper', 'richard_after_site_wrapper' );

/**
 * Prints Tracking code
 */
if ( ! function_exists( 'richard_print_tracking_code' ) ) {
	function richard_print_tracking_code() {
		$tracking_code = richard_get_theme_mod( 'tracking_code' );
		if ( ! empty( $tracking_code ) ) {
			echo '' . $tracking_code;
		}
	}
}
add_action( 'wp_head', 'richard_print_tracking_code' );