<?php

/**
 * @author: PaulThemes
 * @version: 1.0
 */

$header_class = 'vlt-header vlt-header--style-1';
$navbar_class = 'vlt-navbar vlt-navbar--main vlt-boxed vlt-navbar--transparent vlt-navbar--sticky';

?>

<header class="<?php echo richard_sanitize_class( $header_class ); ?>">

	<div class="<?php echo richard_sanitize_class( $navbar_class ); ?>">

		<div class="vlt-navbar-background"></div>

		<div class="vlt-navbar-inner">

			<div class="vlt-navbar-inner--left">

				<div class="d-flex align-items-center">

					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="vlt-navbar-logo">
						<?php if ( richard_get_theme_mod( 'navigation_logo' ) ) : ?>
							<img src="<?php echo esc_url( richard_get_theme_mod( 'navigation_logo' ) ); ?>" alt="<?php bloginfo( 'name' ); ?>">
						<?php else: ?>
							<?php esc_html_e( 'Richard.', 'richard' ); ?>
						<?php endif; ?>
					</a>
					<!-- .vlt-navbar-logo -->

					<nav class="vlt-navbar-navigation d-none d-lg-block">

						<?php

							$acf_onepage_navigation = richard_get_theme_mod( 'onepage_navigation', true );

							if ( $acf_onepage_navigation ) {

								wp_nav_menu( array(
									'theme_location' => 'onepage-menu',
									'container' => false,
									'depth' => 1,
									'menu_class' => 'sf-menu sf-menu-onepage',
									'fallback_cb' => 'richard_fallback_menu',
									'walker' => new Richard_Custom_Walker_Nav_Menu()
								) );

							} else {

								wp_nav_menu( array(
									'theme_location' => 'primary-menu',
									'container' => false,
									'depth' => 3,
									'menu_class' => 'sf-menu',
									'fallback_cb' => 'ramsay_fallback_menu',
									'walker' => new Richard_Custom_Walker_Nav_Menu()
								) );

							}

						?>

					</nav>


				</div>

			</div>
			<!-- /.vlt-navbar-inner--left -->

			<div class="vlt-navbar-inner--right">

				<div class="d-flex align-items-center">

					<div class="vlt-social-nav">

						<?php
							if ( richard_get_theme_mod( 'aside_menu_socials_list_navbar' ) ) {
								foreach ( richard_get_theme_mod( 'aside_menu_socials_list_navbar' ) as $socialItem ) :
									echo '<a class="vlt-social-nav__icon" href="' . esc_url( $socialItem[ 'social_url' ] ) . '" target="_blank"><i class="' . richard_sanitize_class( $socialItem[ 'social_icon' ] ) . '"></i></a>';
								endforeach;
							}
						?>

					</div>

					<div class="d-lg-none">

						<a href="#" class="vlt-menu-burger">
							<span class="line line-one"><span></span></span>
							<span class="line line-two"><span></span></span>
							<span class="line line-three"><span></span></span>
						</a>
						<!-- /.vlt-menu-burger -->

					</div>

				</div>

			</div>
			<!-- /.vlt-navbar-inner--left -->

		</div>
		<!-- /.vlt-navbar-inner -->

	</div>
	<!-- /.vlt-navbar -->

</header>
<!-- /.vlt-header -->

<?php get_template_part( 'template-parts/header/partials/partial', 'aside-menu' ); ?>
