<?php

/**
 * @author: PaulThemes
 * @version: 1.0
 */

$header_class = 'vlt-header vlt-header--style-2';
$navbar_class = 'vlt-navbar vlt-navbar--main vlt-boxed vlt-navbar--transparent vlt-navbar--sticky';

?>

<header class="<?php echo richard_sanitize_class( $header_class ); ?>">

	<div class="<?php echo richard_sanitize_class( $navbar_class ); ?>">

		<div class="vlt-navbar-background"></div>

		<div class="vlt-navbar-inner">

			<div class="vlt-navbar-inner--left">

				<div class="d-flex align-items-center">

					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="vlt-navbar-logo">
						<?php if ( richard_get_theme_mod( 'navigation_logo' ) ) : ?>
							<img src="<?php echo esc_url( richard_get_theme_mod( 'navigation_logo' ) ); ?>" alt="<?php bloginfo( 'name' ); ?>">
						<?php else: ?>
							<?php bloginfo( 'name' ); ?>
						<?php endif; ?>
					</a>
					<!-- .vlt-navbar-logo -->

					<div class="vlt-social-nav">

						<?php
							if ( richard_get_theme_mod( 'aside_menu_socials_list_navbar' ) ) {
								foreach ( richard_get_theme_mod( 'aside_menu_socials_list_navbar' ) as $socialItem ) :
									echo '<a class="vlt-social-nav__icon" href="' . esc_url( $socialItem[ 'social_url' ] ) . '" target="_blank"><i class="' . richard_sanitize_class( $socialItem[ 'social_icon' ] ) . '"></i></a>';
								endforeach;
							}
						?>

                        <?php if ( richard_get_theme_mod( 'header_phone_text' ) ) : ?>

							<div class="vlt-social-nav__phone">
								<h6><?php echo wp_kses_post( richard_get_theme_mod( 'header_phone_text' ) ); ?></h6>
							</div>

						<?php endif; ?>

					</div>

				</div>

			</div>
			<!-- /.vlt-navbar-inner--left -->

			<div class="vlt-navbar-inner--right">

				<div class="d-flex align-items-center">

					<a href="#" class="vlt-menu-burger">
						<span class="line line-one"><span></span></span>
						<span class="line line-two"><span></span></span>
						<span class="line line-three"><span></span></span>
					</a>
					<!-- /.vlt-menu-burger -->

				</div>

			</div>
			<!-- /.vlt-navbar-inner--left -->

		</div>
		<!-- /.vlt-navbar-inner -->

	</div>
	<!-- /.vlt-navbar -->

</header>
<!-- /.vlt-header -->

<?php get_template_part( 'template-parts/header/partials/partial', 'aside-menu' ); ?>
